# Documentation

fp: Free Pkg, the offical package manager for fSD software

## Introduction

Fp, or FreePkg, is a minimal package manager that install fSD packages.

## Installation

### From Source

    git clone https://git.vxserver.dev/fSD/fp

    cd fp

    sudo make install

### One Shot

    curl --proto '=https' --tlsv1.2 -sSf https://dl.fsdproject.org/fp | sh -s -- --web-ver

## Quick Start

    fp install fes

This installs the Fes package

## Cli Reference

Name | Description
--- | ---
`--help` | Display help information.
`--version` | Print version information.
`install` | Installs a package
`remove` | Uninstalls a package
`update` | Update fp's version
`search` | Search for a package, this checks against both the name and the description.